Eclipse

Eclipse 是一个开放源代码的、基于 Java 的可扩展开发平台。 Eclipse 是 Java 的集成开发环境(IDE),当然 Eclipse 也可以作为其他开发语言的集成开发环境,如C,C++,PHP,和 Ruby 等。 Eclipse 附带了一个标准的插件集,包括Java开发工具(Java Development Kit,JDK)。

Eclipse快捷键大全

Eclipse快捷键大全   Ctrl+1 快速修复(最经典的快捷键,就不用多说了) Ctrl+D 删除当前行 Ctrl+Alt+↓ 复制当前行到下一行(复制增加) Ctrl+Alt+↑ 复制当前行到上一行(复制增加) Alt+↓ 当前行和下面一行交互位置(特别实用,

2015-07-15 11:30:21

如何在eclipse开发环境中连接数据库?oracle和db2

1、使用连接工具:eclipse-》window-》open perspective-》myeclipse database explorer 2、下图是oracle连接driver设置,需要添加两个jar包,分别是oracle.jar和ojdbc14.jar   3、下图是db2连接driver设置,需要添加两个jar包,分别是db2jcc

2015-07-15 10:34:48

eclipse 搭建ruby环境

第一步:获取RDT,http://sourceforge.net/projects/rubyeclipse/files/ 解压该文件,获得features和plugins两个文件夹,将这两个文件夹分别复制到eclipse的feature和Plugins两个文件夹下,即可完成RDT的安装。 第二步:安装Ruby: http://rubyinstaller

2015-07-13 11:31:47

Eclipse搭建Ruby开发环境

Eclipse中Ruby环境搭建 1)下载RDT,解压得到features、plugins目录,拷贝到eclipse对应目录。 2)下载Ruby并安装 3)配置ecplise 在eclipse的windows—preferences菜单中,点击左侧的Ruby/Installed interpretes节点,点击界面中的Edit按钮,在Lo

2015-07-13 11:31:43

eclipse中Ruby环境搭建

用Eclipse学习Watir。Eclipse支持Ruby的插件:RDT(Ruby Development Tools),下载下来试用了一下,感觉还是不错的。第一步:获取RDT,通过以下链接可以获得RDT的可用版本:http://jaist.dl.sourceforge.net/sourceforge/rubyeclipse/org.rubypeople.r

2015-07-13 11:30:47

Ruby在windows上的eclipse开发环境搭建

学习一种语言,我想最应该先了解的就是怎么去搭建这种语言的运行环境。如果语言的运行环境我们知道了,再找到符合以往开发习惯的IDE工具,再 看一看入门的例子,再学一学语言相关的知识。这样的时候,一种语言就应该开始入门了。其它只要坚持学习修炼,加以时日,撑握一种语言只是时间的问题。我的 ruby环境是基于linux环境的。在windows下步骤基本一样,而且我

2015-07-13 11:29:56

为 Ruby 构建 Eclipse 开发环境

最近开始学习Ruby,免不了就要进行Ruby的安装和一些配置.今天抽空总结一下. 我个人使用的是windows,首先上Ruby的官方网站(http://www.ruby-lang.org/en/)下载安装程序. 在Ruby的官网Download-->Third Party Tools-->RubyInstaller,即可下载Ruby的一键安装

2015-07-13 11:28:20

Eclipse中开发Ruby遇到invalid multibyte char (US-ASCII)

经过上网查找说是因为编码问题,只要在首行添加上 #encoding:utf-8 即可解决问题,但是添加上这句后,居然报错变成了:invalid multibyte char (UTF-8) 现在经过分析基本上可以断定肯定是因为编码的原因造成了中文不能够被识别。所以只好将配置的编码方式全都进行了修改。经过一番折腾之后,正确的编码配置如下图所示:

2015-07-13 11:28:03

ruby eclipse调试

rubyinstaller 1.9.3eclipse Keplermarketplace ruby dltk 5.0ruby devkit(Ruby 1.8.7 and 1.9.3) DevKit-tdm-32-4.5.2-20111229-1559-sfx.exe需要nmake在PATH内,或启动vs命令行执行一下命令gem install ruby-de

2015-07-13 11:27:01

安装配置Ruby for Eclipse

出于对ruby 的好奇 今天早上好好瞧了瞧它,语法挺简洁的,是不错的语言, 有时间要多了解了解 http://www.ruby-lang.org/zh_CN/documentation/  帮助文档     ---以下安装配置转载 一、安装前的准备工作: 1. 下载Ruby:http://www.ruby-lan

2015-07-13 11:23:50

Eclipse中安装Ruby的插件org.rubypeople.rdt

安装ruby、watir环境后,首先是寻找watir-webdriver代码编辑器的问题啦,在上一遍博文中《Ruby+watir自动化测试环境搭建》中已经提到主要有一下几个:rubymine(开发专用)、SciTE、NETBeans(有支持ruby版本的)、Eclipse(要安装插件 Ruby Development Tools)。 Ruby编辑器SciT

2015-07-13 11:23:22

eclipse下配置ruby环境之不解事件

  在windows下搭建完成ruby on rails的环境后,进一步准备使用eclipse作为开发ruby的ide。这样就需要Ruby Development Tools插件。使用的是Aptana的RadRails插件。          使用eclipse自带的安装插件

2015-07-13 11:21:21

ubuntu13.10 下ruby 开发环境配置:eclipse + aptana

时间:20131228 ---------------------------------------------------------------------------------------------- 参考文章: Debugging ruby 1.9.3 applications in Eclipse: ht

2015-07-13 11:15:58

Eclipse配置Ruby开发环境

简述: 在Eclipse中开发Ruby开发环境 步骤: 第一步, 1. 在Eclipse的Help ->  Install New Software输入 http://download.aptana.com/studio3/plugin/install next 然后下载 之后会花一段时间下载, 如果没有出

2015-07-13 11:15:57

Eclipse搭建Ruby集成开发环境

      使用任何一门编程语言,首先要做的事情是搭建一个比较完善的、集成度比较高的开发环境。我想没人愿意用记事本去维护几十万行的代码吧。以前学JAVA的时候我最喜欢的就是Eclipse,那么在学习Watir的时候首先也是想到了Eclipse。在网上看到了Eclipse支持Ruby的插件:RDT(Ruby Devel

2015-07-13 11:15:49

eclipse中启动tomcat报错 java.lang.ClassNotFoundException

  之前启动还好好的,某次启动tomcat就莫名其妙的报了这个java.lang.ClassNotFoundException的错。         检查maven依赖包,发现这个类是存在的。   然后一通clean操作,更新maven依赖,甚至删了这个jar包,重新引用进来,还是报这个错。   最后进入工作空间中的\\.met

2015-07-13 11:12:58

MyEclipse Flex Tomcat BlazeDS

承接http://www.cnblogs.com/frostbelt/archive/2010/08/10/1796202.html 现在要用JAVA做后台,即把Flex和J2EE结合起来。完成上述步骤后,再把MyEclipse套上。我的eclipse是3.3.1的,MyEclipse是6.0的。装上tomcat6.0.29,在MyEclipse中配置to

2015-07-13 11:12:58

Apache Tomcat Not Showing in Eclipse Server Runtime Environments

In my case I needed to install \"JST Server Adapters\". I am running Eclipse 3.6 Helios RCP Edition. Here are the steps I followed: Help -> Install New Software Choose \"He

2015-07-13 11:12:49

让MyEclipse里的Tomcat自动reloadable

1  修改server.xml    Context path="/***" docBase="XXX" reloadable="true"/>    //添加红色部分。   上面这种是针对某个项目的,我们不可能每个项目

2015-07-13 11:12:48

为在MyEclipse中配置Tomcat服务器郁闷的朋友们解决郁闷

是不是很郁闷!为了在MyEclipse配置Tomcat 服务器,竟然弄了你几乎一个上午,最后也没弄成功,也许你本该早注意到Tomcat 5.x要有这个JDK的支持,配置才能成功。 一上午辛辛苦苦也没解决就是因为没注意到他,其实配置是很简单的。 下面是其步骤:   一、先安装Tomcat: 1.下载JDK,安装 官网下载地址:http:

2015-07-13 11:12:47